<?php
// Copyright (C) 2008 - 2016 Small Green Computer, LLC
//
$configfile = '/var/www/html/config/playergui.cfg';
$config = unserialize(file_get_contents($configfile));

$localaudio = array('blue','green','pink','black','orange','stereo1','stereo2','stereo3','stereo4');
$PlayerNumber=0;
foreach($config as $device) {
  if(array_key_exists('NAME', $device)) {
	$squeezeliteConfigFileName = '/lib/systemd/system/squeezelite'.$PlayerNumber.'.service';

	$squeezeliteString = '';
	if (in_array($device['DEVICENAME'], $localaudio)) {
		$squeezeliteString .= ' -a 4096:1024:16:0 -r 44100-44100 ';
	};
	
	$HostName = trim(file_get_contents('/etc/hostname'));
	
	if (file_exists('/etc/vortexbox/localplayers')) {
		$LMSIP = 'localhost';
	} else {
		$LMSIP = $HostName.'.local';
	}

	$squeezeliteString .= ' -s '. $LMSIP;
	$squeezeliteString .= ' -o '. $device['DEVICENAME'];
	$squeezeliteString .= ' -m '. $device['MAC'];
	$squeezeliteString .= ' -n '.'"'.$device['NAME'].'"';

	$squeezeliteConfigFileData = '[Unit]'."\n";
	$squeezeliteConfigFileData .= 'Description=Squeezelite Player'."\n";
	$squeezeliteConfigFileData .= 'After=local-fs.target syslog.target network.target'."\n";
	$squeezeliteConfigFileData .= ''."\n";
	$squeezeliteConfigFileData .= '[Service]'."\n";
	$squeezeliteConfigFileData .= 'Nice=-10'."\n";
	$squeezeliteConfigFileData .= ''."\n";
	$squeezeliteConfigFileData .= 'User=squeezelite'."\n";
	$squeezeliteConfigFileData .= 'ExecStart=/usr/bin/squeezelite'.$squeezeliteString."\n";
	$squeezeliteConfigFileData .= 'TimeoutSec=5'."\n";
	$squeezeliteConfigFileData .= ''."\n";
	$squeezeliteConfigFileData .= '[Install]'."\n";
	$squeezeliteConfigFileData .= 'WantedBy=multi-user.target'."\n";
	
	$fp = fopen($squeezeliteConfigFileName,'w');
	fwrite($fp,$squeezeliteConfigFileData);
	fclose($fp);
	
	$PlayerNumber++;
  }
}
?>