#!/bin/bash
# Copyright (C) 2008 - 2015 vortexbox.org
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#

function echolog {
	echo "`date +'%m/%d/%Y %H:%M:%S'` - $1"
}

echo "" >> /var/log/vbupgrade.log
echolog "Deleting MinimServer..." >> /var/log/vbupgrade.log

/usr/bin/systemctl disable minimserver.service
/usr/bin/systemctl stop minimserver.service

rm -rf /opt/minimserver
rm /usr/lib/systemd/system/minimserver.service
rm /opt/minimserver/bin/minimserver_service
rm /etc/vortexbox/packages/minimserver

echolog "MinimServer deleted." >> /var/log/vbupgrade.log
echo "" >> /var/log/vbupgrade.log
