#!/bin/bash
# Copyright (C) 2008 - 2015 Small Green Computer
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
#

function echolog {
echo "`date +'%m/%d/%Y %H:%M:%S'` - $1"
}

echo "" >> /var/log/vbupgrade.log
echolog "Installing Squeezebox Server Airplay Plugin (This can take a long time...)" >> /var/log/vbupgrade.log

dnf clean all
dnf -y install libao perl-Crypt-OpenSSL-RSA perl-IO-Socket-INET6 perl-libwww-perl avahi-tools perl-Net-SDP >> /var/log/vbupgrade.log
# dnf -y install logitechmediaserver-plugin-shairport  >> /var/log/vbupgrade.log
echo "install repo http://raw.github.com/disaster123/shairport2_plugin/master/public.xml into Squeezebox Server then install ShairPort2" >> /var/log/vbupgrade.log
touch /etc/vortexbox/packages/shairport

echolog "Squeezebox Server Airplay Plugin installed." >> /var/log/vbupgrade.log
echo "" >> /var/log/vbupgrade.log
