#!/bin/bash
# Copyright (C) 2008 - 2015 Small Green Computer
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#

function echolog {
echo "`date +'%m/%d/%Y %H:%M:%S'` - $1"
}

/usr/bin/systemctl stop transmission-daemon
echo "" >> /var/log/vbupgrade.log
echolog "Installing Transmission (This can take a long time...)" >> /var/log/vbupgrade.log


dnf clean all
dnf -y install transmission transmission-daemon  >> /var/log/vbupgrade.log

/usr/bin/systemctl enable transmission-daemon
/usr/bin/systemctl start transmission-daemon
sleep 2
/usr/bin/systemctl stop transmission-daemon
sleep 2

sed -i 's/rpc-whitelist-enabled": true/rpc-whitelist-enabled": false/g' /var/lib/transmission/.config/transmission-daemon/settings.json
sed -i 's/\/var\/lib\/transmission\/Downloads/\/storage\/downloads/g' /var/lib/transmission/.config/transmission-daemon/settings.json

mkdir -p  /storage/downloads/
chown -R transmission:transmission /storage/downloads

/usr/bin/systemctl start transmission-daemon

touch /etc/vortexbox/packages/transmission
echolog "Transmission interface installed." >> /var/log/vbupgrade.log