#!/bin/bash
# Copyright (C) 2008 - 2015 Small Green Computer
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
#
# Changelog
#
# 24 Dec 2014 Ron Olsen <ronolsen@comcast.net>
# Remove bliss-tagger package, not bliss.

function echolog {
echo "`date +'%m/%d/%Y %H:%M:%S'` - $1"
}

echo "" >> /var/log/vbupgrade.log
echolog "Installing Bliss (This can take a long time...)" >> /var/log/vbupgrade.log

# Remove old Bliss before install
systemctl stop bliss
rpm -e bliss-tagger
rm -rf /opt/bliss
rm -rf /root/.bliss

dnf clean all
dnf -y install bliss-tagger jre >> /var/log/vbupgrade.log

touch /etc/vortexbox/packages/bliss
echo "" >> /var/log/vbupgrade.log
echolog "Bliss installed." >> /var/log/vbupgrade.log
echo "" >> /var/log/vbupgrade.log
