#!/usr/bin/php
<?php
// Copyright (C) Small Green Computer

if(isset($argv[1])) {
	$card = $argv[1];
} else {
	echo "\n";
	echo 'XMOS Set - Copyright (C) Small Green Computer'."\n";
	echo 'You need to give an audio card as a command line argument.'."\n";
	echo "\n";
	exit;
}

$output = shell_exec('/usr/bin/amixer -c '.$card.' | grep \'Clock Selector\'');
$info = preg_split('/[\r\n]+/', $output, -1, PREG_SPLIT_NO_EMPTY);
unset ($output);

foreach ($info as $value) {
	$parts = explode("'",$value);
	$output = exec("/usr/bin/amixer set '".$parts[1]."'".$parts[2].' 127 unmute --card='.$card);
}
?>