#!/bin/bash
# Copyright (C) 2008 - 2015 Small Green Computer
#

echo ""
echo "------------------------------------------------------"
echo "*** Fixing errors on /dev/sda"
echo "------------------------------------------------------"
sgdisk -g -G /dev/sda
partprobe
sync
sgdisk -p /dev/sda

echo ""
echo "------------------------------------------------------"
echo "*** Delete / partition"
echo "------------------------------------------------------"
sgdisk -d 4 /dev/sda
partprobe
sleep 2
sgdisk -p /dev/sda

echo ""
echo "------------------------------------------------------"
echo "*** Resize partition"
echo "------------------------------------------------------"

FIRSTSECTOR=`sgdisk -f /dev/sda`
sgdisk -n 4:$FIRSTSECTOR:+30G -t 4:8300 /dev/sda
partprobe
sync
sgdisk -p /dev/sda
resize2fs /dev/sda4
touch /forcefsck

echo ""
echo "Done."
echo ""