#!/bin/bash
# Copyright (C) 2008 - 2015 Small Green Computer, LLC
#

if [ $# -ne 1 ]
then
    echo "Usage: config_add_lvm.sh drive (ex. /dev/sdb1)"
    exit 1
fi


vgextend VolGroup $1
partprobe
sync
pvscan
lvdisplay
lvextend /dev/mapper/VolGroup-lv_storage $1
resize2fs /dev/mapper/VolGroup-lv_storage

echo "Done adding $1 to /dev/mapper/VolGroup-lv_storage"